using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Collections.Generic;
using System.ComponentModel;

namespace digioz
{
    public class ForumTopic
    {
        private int ciTopicID;
        private int ciForumID;
        private string csTopicTitle;
        private DateTime cdTopicTime;
        private int ciTopicViews;
        private int ciTopicReplies;
        private int ciTopicStatus;
        private int ciTopicFirstPostID;
        private int ciTopicFirstPosterID;
        private string csTopicFirstPosterName;
        private int ciTopicLastPostID;
        private DateTime cdTopicLastPostTime;
        private int ciTopicLastPosterID;
        private string csTopicLastPosterName;

        public ForumTopic()
        {}

        public int TopicID
        {
            get { return ciTopicID; }
            set { ciTopicID = value; } 
        }

        public int ForumID
        { 
            get { return ciForumID; } 
            set { ciForumID = value; } 
        }

        public string TopicTitle
        { 
            get { return csTopicTitle; } 
            set { csTopicTitle = value; } 
        }

        public DateTime TopicTime
        { 
            get { return cdTopicTime; } 
            set { cdTopicTime = value; } 
        }

        public int TopicViews
        { 
            get { return ciTopicViews; } 
            set { ciTopicViews = value; } 
        }

        public int TopicReplies
        { 
            get { return ciTopicReplies; } 
            set { ciTopicReplies = value; } 
        }

        public int TopicStatus
        { 
            get { return ciTopicStatus; } 
            set { ciTopicStatus = value; } 
        }

        public int TopicFirstPostID
        { 
            get { return ciTopicFirstPostID; } 
            set { ciTopicFirstPostID = value; } 
        }

        public int TopicFirstPosterID
        { 
            get { return ciTopicFirstPosterID; } 
            set { ciTopicFirstPosterID = value; } 
        }

        public string TopicFirstPosterName
        { 
            get { return csTopicFirstPosterName; } 
            set { csTopicFirstPosterName = value; } 
        }

        public int TopicLastPostID
        { 
            get { return ciTopicLastPostID; } 
            set { ciTopicLastPostID = value; } 
        }

        public DateTime TopicLastPostTime
        { 
            get { return cdTopicLastPostTime; } 
            set { cdTopicLastPostTime = value; } 
        }
        public int TopicLastPosterID
        { 
            get { return ciTopicLastPosterID; } 
            set { ciTopicLastPosterID = value; } 
        }
        public string TopicLastPosterName
        { 
            get { return csTopicLastPosterName; } 
            set { csTopicLastPosterName = value; } 
        }
    }

    public class ForumTopicList : BindingList<ForumTopic>
    {
        public ForumTopicList()
        { }
    }
}
